aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjects

Synopsis

- data DeleteObjects = DeleteObjects {
  - dosBucket :: Bucket
  - dosObjects :: [(Object, Maybe Text)]
  - dosQuiet :: Bool
  - dosMultiFactorAuthentication :: Maybe Text
  }
- deleteObjects :: Bucket -> [Text] -> DeleteObjects
- data DeleteObjectsResponse = DeleteObjectsResponse {
  - dorDeleted :: [DORDeleted]
  - dorErrors :: [DORErrors]
  }
- data DORDeleted = DORDeleted {
  - ddKey :: Text
  - ddVersionId :: Maybe Text
  - ddDeleteMarkerVersionId :: Maybe Text
  }
- data DORErrors = DORErrors {
  - deKey :: Text
  - deCode :: Text
  - deMessage :: Text
  }

# Documentation

data DeleteObjects #

Constructors

DeleteObjects |
Fields dosBucket :: Bucket dosObjects :: [(Object, Maybe Text)] dosQuiet :: Bool dosMultiFactorAuthentication :: Maybe Text

Instances

Show DeleteObjects # |
Methods showsPrec :: Int -> DeleteObjects -> ShowS # show :: DeleteObjects -> String # showList :: [DeleteObjects] -> ShowS #
SignQuery DeleteObjects # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration DeleteObjects :: * -> * # Methods signQuery :: DeleteObjects -> ServiceConfiguration DeleteObjects queryType -> SignatureData -> SignedQuery #
Transaction DeleteObjects DeleteObjectsResponse # |
ResponseConsumer DeleteObjects DeleteObjectsResponse # |
Associated Types type ResponseMetadata DeleteObjectsResponse :: * # Methods responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse #
type ServiceConfiguration DeleteObjects # |
type ServiceConfiguration DeleteObjects = S3Configuration

deleteObjects :: Bucket -> [Text] -> DeleteObjects #

data DeleteObjectsResponse #

Constructors

DeleteObjectsResponse |
Fields dorDeleted :: [DORDeleted] dorErrors :: [DORErrors]

Instances

Show DeleteObjectsResponse # |
Methods showsPrec :: Int -> DeleteObjectsResponse -> ShowS # show :: DeleteObjectsResponse -> String # showList :: [DeleteObjectsResponse] -> ShowS #
AsMemoryResponse DeleteObjectsResponse # |
Associated Types type MemoryResponse DeleteObjectsResponse :: * # Methods loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) #
Transaction DeleteObjects DeleteObjectsResponse # |
ResponseConsumer DeleteObjects DeleteObjectsResponse # |
Associated Types type ResponseMetadata DeleteObjectsResponse :: * # Methods responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse #
type MemoryResponse DeleteObjectsResponse # |
type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse
type ResponseMetadata DeleteObjectsResponse # |
type ResponseMetadata DeleteObjectsResponse = S3Metadata

data DORDeleted #

Constructors

DORDeleted |
Fields ddKey :: Text ddVersionId :: Maybe Text ddDeleteMarkerVersionId :: Maybe Text

Instances

Show DORDeleted # |
Methods showsPrec :: Int -> DORDeleted -> ShowS # show :: DORDeleted -> String # showList :: [DORDeleted] -> ShowS #

data DORErrors #

Constructors

DORErrors |
Fields deKey :: Text deCode :: Text deMessage :: Text

Instances

Show DORErrors # |
Methods showsPrec :: Int -> DORErrors -> ShowS # show :: DORErrors -> String # showList :: [DORErrors] -> ShowS #